Package org.eclipse.emf.cdo.ui

## Class CDOLabelProvider

- java.lang.Object
- - org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider
  - - org.eclipse.emf.cdo.ui.CDOLabelProvider

- All Implemented Interfaces:
    `INotifyChangedListener`, `IBaseLabelProvider`, `IColorProvider`, `IFontProvider`, `ILabelProvider`, `ITableLabelProvider`

      public class CDOLabelProvider
      extends AdapterFactoryLabelProvider
      implements IColorProvider, IFontProvider

  A `AdapterFactoryLabelProvider` specialization that decorates `objects` with a color/font code according to their current `state`.
  Author:
    Eike Stepper
  See Also:
    `IColorProvider`, `IFontProvider`, `CDOObject`, `CDOState`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider

      `AdapterFactoryLabelProvider.ColorProvider, AdapterFactoryLabelProvider.ConvertingStyler, AdapterFactoryLabelProvider.FontAndColorProvider, AdapterFactoryLabelProvider.FontProvider, AdapterFactoryLabelProvider.StyledLabelProvider`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider

      `adapterFactory, defaultBackground, defaultFont, defaultForeground, isFireLabelUpdateNotifications, labelProviderListeners`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CDOLabelProvider​(AdapterFactory adapterFactory, CDOView view, TreeViewer viewer)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dispose()` |
    `Color` | `getBackground​(java.lang.Object object)` |
    `static Color` | `getColor​(CDOObject object)` |
    `Font` | `getFont​(java.lang.Object object)` |
    `Color` | `getForeground​(java.lang.Object object)` |
    `Image` | `getImage​(java.lang.Object object)` |
    `java.lang.String` | `getText​(java.lang.Object object)` |
    `CDOView` | `getView()` |
    `TreeViewer` | `getViewer()` |
    `void` | `notifyChanged​(Notification notification)` |

    - ### Methods inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider

      `addListener, createStyler, fireLabelProviderChanged, getAdapterFactory, getBackground, getColorFromObject, getColumnImage, getColumnText, getDefaultBackground, getDefaultFont, getDefaultForeground, getDefaultImage, getFont, getFontFromObject, getForeground, getImageFromObject, getStyledStringFromObject, getStyledText, isFireLabelUpdateNotifications, isLabelProperty, removeListener, setAdapterFactory, setDefaultBackground, setDefaultFont, setDefaultForeground, setFireLabelUpdateNotifications, toJFaceStyledString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDOLabelProvider

          public CDOLabelProvider​(AdapterFactory adapterFactory,
                                  CDOView view,
                                  TreeViewer viewer)

      Since:
        2.0

  - ### Method Detail

    - #### getView

          public CDOView getView()

      Since:
        2.0

    - #### getViewer

          public TreeViewer getViewer()

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `IBaseLabelProvider`
      Overrides:
        `dispose` in class `AdapterFactoryLabelProvider`

    - #### notifyChanged

          public void notifyChanged​(Notification notification)

      Specified by:
        `notifyChanged` in interface `INotifyChangedListener`
      Overrides:
        `notifyChanged` in class `AdapterFactoryLabelProvider`

    - #### getImage

          public Image getImage​(java.lang.Object object)

      Specified by:
        `getImage` in interface `ILabelProvider`
      Overrides:
        `getImage` in class `AdapterFactoryLabelProvider`

    - #### getText

          public java.lang.String getText​(java.lang.Object object)

      Specified by:
        `getText` in interface `ILabelProvider`
      Overrides:
        `getText` in class `AdapterFactoryLabelProvider`

    - #### getBackground

          public Color getBackground​(java.lang.Object object)

      Specified by:
        `getBackground` in interface `IColorProvider`
      Overrides:
        `getBackground` in class `AdapterFactoryLabelProvider`

    - #### getForeground

          public Color getForeground​(java.lang.Object object)

      Specified by:
        `getForeground` in interface `IColorProvider`
      Overrides:
        `getForeground` in class `AdapterFactoryLabelProvider`

    - #### getFont

          public Font getFont​(java.lang.Object object)

      Specified by:
        `getFont` in interface `IFontProvider`
      Overrides:
        `getFont` in class `AdapterFactoryLabelProvider`

    - #### getColor

          public static Color getColor​(CDOObject object)

      Since:
        4.3